#!/bin/bash
echo "Downloading"
wget http://www.rfxn.com/downloads/maldetect-current.tar.gz
if [ ! -f "maldetect-current.tar.gz" ]; then
	echo "Error downloading Maldetect"
	exit 1
fi

echo "Unpacking"
tar -zxf maldetect-*

if [ "$?" -ne "0" ]; then
	echo "Error unpacking Maldetect"
	exit 1
fi


src=$(find -maxdepth 1 -mindepth 1 -type d -regex '.*maldetect-[0-9].*')
echo "Installing"
cd "$src"
sudo ./install.sh

cd ..

echo "Removing download files"
rm "maldetect-current.tar.gz"

echo "Install successful"
