#!/bin/bash
if [ ! -x "/usr/sbin/snort" ]; then
        echo "Please install snort first"
        exit 1
fi

echo "Configuring emerging threats url"
cp /etc/oinkmaster.conf /etc/oinkmaster.conf.bak
echo "url = https://rules.emergingthreats.net/open/snort-2.9.0/emerging.rules.tar.gz" >> /etc/oinkmaster.conf

echo "Creating oinkmaster user"
adduser --system --ingroup snort --no-create-home oinkmaster

echo "Creating folders"
mkdir /etc/snort/rules_backup
mkdir /etc/snort/et_rules

echo "Changing ownership to oinkmaster"
chown -R oinkmaster /etc/snort/rules_backup
chown -R oinkmaster /etc/snort/et_rules

echo "Downloading"
su -s /bin/bash -c "oinkmaster -o /etc/snort/et_rules -b /etc/snort/rules_backup" oinkmaster

echo "Done, add following lines to snort.conf and comment out as needed"
echo "Restart snort after adding rules"
echo ""
echo "var ET_RULE_PATH /etc/snort/et_rules"
echo ""
for rule in $(ls -1 /etc/snort/et_rules/*rules); do
        echo "include \$ET_RULE_PATH/${rule##*/}"
done

